curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/audit_logs \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/audit_logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/audit_logs"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 123,
"auditable_id": 123,
"auditable_type": "<string>",
"auditable": {},
"associated_id": 123,
"associated_type": "<string>",
"user_id": 123,
"user_type": "<string>",
"username": "<string>",
"action": "create",
"audited_changes": {},
"version": 123,
"comment": "<string>",
"request_uuid": "<string>",
"created_at": 123,
"remote_address": "<string>"
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Subscription audit logs
List audit events for one subscription.
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/audit_logs \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/audit_logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/audit_logs"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 123,
"auditable_id": 123,
"auditable_type": "<string>",
"auditable": {},
"associated_id": 123,
"associated_type": "<string>",
"user_id": 123,
"user_type": "<string>",
"username": "<string>",
"action": "create",
"audited_changes": {},
"version": 123,
"comment": "<string>",
"request_uuid": "<string>",
"created_at": 123,
"remote_address": "<string>"
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Authorizations
Path Parameters
The numeric ID of the account
The numeric ID of the subscription
Response
Success
Unique identifier for the audit log entry
The ID of the audited object
The type of the audited object (e.g., Conversation, Contact, User)
The audited object data
The ID of the associated object (typically the account ID)
The type of the associated object
The ID of the user who performed the action
The type of user who performed the action
The email/username of the user who performed the action
The action performed on the object
create, update, destroy JSON object containing the changes made to the audited object
Version number of the audit log entry
Optional comment associated with the audit log entry
UUID to identify the request that generated this audit log
Unix timestamp when the audit log entry was created
IP address from which the action was performed